import { ProColumns } from '@ant-design/pro-components';
import { Badge, Button, Popconfirm, Space, TableColumnsType } from 'antd';

export const columns = (edit: (params: any) => void): ProColumns<any>[] => {
  return [
    {
      title: '模板名称',
      dataIndex: 'templateName',
      key: 'templateName',
      align: 'center',
      ellipsis: true,
      hideInSearch: true,
    },
    {
      title: '操作',
      dataIndex: 'cz',
      key: 'cz',
      width: 160,
      align: 'center',
      className: 'table_fixed',
      hideInSearch: true,
      render: (a: any, b: any) => {
        return (
          <Space>
            <Button
              onClick={() => {
                edit(b);
              }}
              type="link"
            >
              编辑
            </Button>
          </Space>
        );
      },
    },
  ];
};

export const childrenColumns = (openAdd:(id:any)=>void): TableColumnsType<any> => {
  return [
    {
      title: "ID",
      dataIndex: 'id',
      align: "center",
    },
    {
      title: "页面名称",
      dataIndex: 'pageName',
      align: "center",
    },
    {
      title: "页面描述",
      dataIndex: 'pageDesc',
      align: "center",
    },
    {
      title: "页面路径",
      dataIndex: 'pagePath',
      align: "center",
    },
    {
      title: "分享图片",
      dataIndex: 'sharePicUrl',
      align: "center",
    },
    {
      title: "分享标题",
      dataIndex: 'shareTitles',
      align: "center",
    },
    {
      title: "是否阅读内容",
      dataIndex: 'readingContent',
      align: "center",
      render: (a) => {
        return <Badge status={a ? "success" : "error"} text={a ? "是" : "否"} />
      }
    },
    {
      title: "是否支持组件配置",
      dataIndex: 'enabledComponent',
      align: "center",
      render: (a) => {
        return <Badge status={a ? "success" : "error"} text={a ? "是" : "否"} />
      }
    },
    {
      title: '操作',
      dataIndex: 'cz',
      key: 'cz',
      width: 160,
      align: 'center',
      className: 'table_fixed',
      render: (a: any, b: any) => {
        return (
          <Space>
            <Button
              onClick={(e) => {
                e.stopPropagation()
                openAdd(b.id);
              }}
              type="link"
              disabled={!b?.enabledComponent}
            >
              新增组件
            </Button>
          </Space>
        );
      },
    },
  ]
}