import { api } from '@/services/api';
import { request } from '@umijs/max';

/**
 * 长篇小说付费信息配置
 */
export async function apiLongBookInfoBookConfig(data: any) {
  return request(api + `/bookDistributionPlatform/admin/longBookInfo/bookConfig`, {
    method: 'POST',
    data,
  });
}

/**
 * 长篇小说信息列表
 */
export async function apiLongBookInfoList(params: any) {
  return request(api + `/bookDistributionPlatform/admin/longBookInfo/list`, {
    method: 'GET',
    params,
  });
}
/**
 * 长篇小说信息列表全部
 */
export async function apiLongBookInfoListAll() {
  return request(api + `/bookDistributionPlatform/admin/longBookInfo/listAll`, {
    method: 'GET',
  });
}
/**
 * 长篇小说章节列表
 */
export async function apiLongBookInfoChapterList(params: any) {
  return request(api + `/bookDistributionPlatform/admin/longBookInfo/chapterList`, {
    method: 'GET',
    params,
  });
}
/**
 * 长篇小说全部章节列表
 */
export async function apiLongBookInfoChapterAllList(bookId: any) {
  return request(api + `/bookDistributionPlatform/admin/longBookInfo/chapterAllList/${bookId}`, {
    method: 'GET',
  });
}
/**
 * 长篇小说章节内容
 */
export async function apiLongBookInfoChapterContent(chapterId: any) {
  return request(api + `/bookDistributionPlatform/admin/longBookInfo/chapterContent/${chapterId}`, {
    method: 'GET',
  });
}

/**
 * 长篇小说付费配置详情
 */
export async function apiLongBookInfoConfigDetail(bookId: any) {
  return request(api + `/bookDistributionPlatform/admin/longBookInfo/configDetail/${bookId}`, {
    method: 'GET',
  });
}
