import { api } from '@/services/api';
import { request } from '@umijs/max';

interface Prams {
  wechatMiniappId?: string;
  distributorId?: string;
  appType?: 1 | 2;
  bookId?: string;
  startTime?: string;
  endTime?: string;
  userId: string;
  pageNum: string;
  pageSize: string;
}

/**
 * 短篇小说书币变更记录管理
 */
export async function apiShortBookCoinChangeLogOfPage(params: Prams) {
  return request(api + `/bookDistributionPlatform/admin/shortBookCoinChangeLog/listOfPage`, {
    method: 'GET',
    params,
  });
}
/**
 * 长篇小说书币变更录管理
 */
export async function apiLongBookCoinChangeLogOfPage(params: Prams) {
  return request(api + `/bookDistributionPlatform/admin/longBookCoinChangeLog/listOfPage`, {
    method: 'GET',
    params,
  });
}
